using PlumbingRepairContracts.BindingModels;
using PlumbingRepairContracts.SearchModels;
using PlumbingRepairContracts.ViewModels;

namespace PlumbingRepairContracts.StoragesContracts
{
	public interface IMessageInfoStorage
	{
		List<MessageInfoViewModel> GetFullList();

		List<MessageInfoViewModel> GetFilteredList(MessageInfoSearchModel model);

		MessageInfoViewModel? GetElement(MessageInfoSearchModel model);

		MessageInfoViewModel? Insert(MessageInfoBindingModel model);
	}
}
